class 'redirectAppliance' (Appliance)

redirectAppliance.target = nil

function redirectAppliance:__init() super()
end

function redirectAppliance:onCreate()
	Appliance.onCreate(self)
	self:createHighlight()
end

function redirectAppliance:onClick()
	assert(self.target)	
	self.target:onClick()
end
